import db from "~/drizzle";

export const GET = async () => {
  const guilds = await db.query.guilds
    .findMany({
      with: {
        timePlanning: { with: { messages: true } },
        matches: true,
      },
    })
    .execute();

  return { guilds };
};
